Reply

Rounds.Add Method

[ Edited ]

 

Hello all.

Somebody used such method?

 

Rounds.Add Method

 

Parameters

NumberOfEdgeSets

Int32

Specifies the number of edges to be rounded.

EdgeSetArray

Object

An array of sets of edges to replace with Round.

RadiusArray

Object

An array of radius values to be used in constructing the Rounds.

RollAcrossTangentEdges

Object

Specifies whether or not the round should roll smoothly across tangent edges it encounters.

RollOrCapAcrossSharpEdges

Object

Specifies whether or not the round should roll along and notch any sharp edges it encounters.

RollAlongBlendEdges

Object

Specifies whether the round should be forced to cliff or to keep the shape of the original edge.

ApplyVertexBlends

Object

ApplyVertexBlends Parameter

 

What object is required in RollOrCapAcrossSharpEdges?

 

 

Posted by: Dan Sa
Post date: 7/21/2010 2:56:12 AM

4 REPLIES

RE: Rounds.Add Method

[ Edited ]

 

Somebody, help me please!

All has tried, gives out or an error or changes nothing. Soon the keyboard I will break.

Excuse for bad English!

 

Posted by: Dan Sa
Post date: 7/25/2010 11:40:50 PM

RE: Rounds.Add Method

[ Edited ]

 

Danisan --

Can you tell me, what are you trying to attain. Can you attach a similar piece of model.

Thanks and Cheers

Kiran

 

Posted by: thomas thomas
Post date: 8/9/2010 11:45:25 PM

Re: Rounds.Add Method

[ Edited ]

Hi,

i want to add a round with a specific option. I have a hole and want to add a round.

holehole

round-okround-ok 

roundoptions-okroundoptions-ok 

round-badround-bad

roundoptions-badroundoptions-bad

Here is a snippet from the Documentation:

 

Public Function Add( _
   ByVal NumberOfEdgeSets As Long, _
   ByVal EdgeSetArray As Variant, _
   ByVal RadiusArray As Variant, _
   Optional ByVal RollAcrossTangentEdges As Variant, _
   Optional ByVal RollOrCapAcrossSharpEdges As Variant, _
   Optional ByVal RollAlongBlendEdges As Variant, _
   Optional ByVal ApplyVertexBlends As Variant _
) As Round

I tried to give interger from -1 to 2, TRUE and FALSE as parameter for RollOrCapAcrossSharpEdges without success.

Model.Rounds.Add(1, {e}, {r}, RollOrCapAcrossSharpEdges:=-1)

Can anybody help me with the parameters for the Rounds.Add method?

Greetings from Germany
Christian Kunkel
https://c-k-m.info

Re: Rounds.Add Method

Found the solution!

there are some constants in the SolidEdgePart.FeaturePropertyConstants:

Model.Rounds.Add(1, {e}, {r}, RollOrCapAcrossSharpEdges:=FeaturePropertyConstants.igRndRollAcrossSharpEdges)

Greetings from Germany
Christian Kunkel
https://c-k-m.info